Inhalte

# Funktion InStr

Gibt die Position einer vorhandenen Zeichenfolge in einem anderen Zeichenfolgenausdruck zurück.

Die Funktion InStr gibt die Position des Zeichens zurück, ab dem die gesuchte Zeichenfolge in der zu durchsuchenden Zeichenfolge enthalten ist. Ist die gesuchte Zeichenfolge dort nicht enthalten, wird der Wert 0 zurückgegeben.

### Syntax:

    InStr ([Anfang As Long,] Zeichenfolge1 As String, Zeichenfolge2 As String[, Vergleich]) As Integer

### Rückgabewert:

Integer

### Parameter:

Anfang: Ein numerischer Ausdruck, der die Position in einer Zeichenfolge markiert, an der die Suche nach der angegebenen Teilzeichenfolge beginnt. Wenn Sie diesen Parameter weglassen, beginnt die Suche beim ersten Zeichen der Zeichenfolge. Der minimal zulässige Wert ist 1. Der maximal zulässige Wert ist 2.147.483.648.

Zeichenfolge1: Die Zeichenfolge, die durchsucht werden soll.

Zeichenfolge2: Die Zeichenfolge, nach der gesucht werden soll.

Vergleich: Optionaler numerischer Ausdruck, der die Art des Vergleichs definiert. Der Wert dieses Parameters kann 0 oder 1 sein. Der Standardwert 1 legt einen Textvergleich fest, bei dem die Groß-/Kleinschreibung nicht beachtet wird. Der Wert 0 legt einen binären Vergleich fest, bei dem die Groß-/Kleinschreibung beachtet wird.

Um einen Laufzeitfehler zu vermeiden, legen Sie den Parameter "Vergleich" nicht fest, wenn der erste optionale Parameter weggelassen wird.

### Fehlercodes:

5 Ungültiger Prozeduraufruf

## Beispiel:

    Sub ExamplePosition
    Dim sInput As String
    Dim iPos As Integer
        sInput = "Office"
        iPos = Instr(sInput,"c")
        Print iPos
    End Sub